#include<math.h>
#include "scalar.h"

typedef double Scalar; //Scalar è un alias di double

Scalar to_deg(Scalar rad){
    return rad / M_PI * 180;
}

Scalar to_rad(Scalar deg){
    return deg * M_PI / 180;
}

bool are_equal(Scalar a, Scalar b){
    return std::abs(a-b) < 1e-6;
}
