#pragma once
#include <vector>
#include <string>
#include "vec3.h"


typedef Vec3 Pixel;

class Picture
{
public:
    std::vector<Pixel> pixel;
    const int res_x, res_y;

    Picture(int x, int y);

    void fill_with_checkerboard();
    void print_to_screen()const;
    void save_as_pnm(const std::string &filename)const;
};

