#pragma once
#include "vec3.h"
struct Sphere;

const Scalar MISS = +INFINITY;

struct Ray {
    Vec3 origin;
    Vec3 direction;

    Vec3 pos(Scalar k) const {
        return origin + k * direction;
    }

    Scalar intersect(Sphere s);
};

